libetonyek::KEYPath Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Attributes | Friends | List of all members
libetonyek::KEYPath Class Reference

`#include <KEYPath.h>`

## Classes
class | Element
| An element of path. More...

## Public Member Functions
| KEYPath ()
| KEYPath (const std::string &path)
| KEYPath (const KEYPath &other)
| ~KEYPath ()
KEYPath & | operator= (const KEYPath &other)
void | swap (KEYPath &other)
void | clear ()
void | appendMoveTo (double x, double y)
void | appendLineTo (double x, double y)
void | appendCurveTo (double x1, double y1, double x2, double y2, double x, double y)
void | appendClose ()
void | operator*= (const KEYTransformation &tr)
| Transform all elements of the path. More...
librevenge::RVNGPropertyListVector | toWPG () const
| Create WPG representation of this path. More...

## Private Attributes
std::deque< Element * > | m_elements
bool | m_closed

## Friends
bool | approxEqual (const KEYPath &left, const KEYPath &right, const double eps)

## Constructor & Destructor Documentation

libetonyek::KEYPath::KEYPath | ( |  | ) |

libetonyek::KEYPath::KEYPath | ( | const std::string & | path | ) |
| explicit

libetonyek::KEYPath::KEYPath | ( | const KEYPath & | other | ) |

libetonyek::KEYPath::~KEYPath | ( |  | ) |

## Member Function Documentation

void libetonyek::KEYPath::appendClose | ( |  | ) |

Referenced by KEYPath().

void libetonyek::KEYPath::appendCurveTo | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2,
|  | double | x,
|  | double | y
| ) |  |

Referenced by KEYPath().

void libetonyek::KEYPath::appendLineTo | ( | double | x,
|  | double | y
| ) |  |

Referenced by KEYPath().

void libetonyek::KEYPath::appendMoveTo | ( | double | x,
|  | double | y
| ) |  |

Referenced by KEYPath().

void libetonyek::KEYPath::clear | ( |  | ) |

Referenced by KEYPath(), and ~KEYPath().

void libetonyek::KEYPath::operator*= | ( | const KEYTransformation & | tr | ) |

Transform all elements of the path.

- [in] tr the transformation

KEYPath & libetonyek::KEYPath::operator= | ( | const KEYPath & | other | ) |

void libetonyek::KEYPath::swap | ( | KEYPath & | other | ) |

Referenced by operator=().

librevenge::RVNGPropertyListVector libetonyek::KEYPath::toWPG | ( |  | ) | const

Create WPG representation of this path.

## Friends And Related Function Documentation

bool approxEqual | ( | const KEYPath & | left,
|  | const KEYPath & | right,
|  | const double | eps
| ) |  |
| friend

## Member Data Documentation

bool libetonyek::KEYPath::m_closed
| private

Referenced by appendClose(), appendMoveTo(), and toWPG().

std::deque<Element *> libetonyek::KEYPath::m_elements
| private

Referenced by appendCurveTo(), appendLineTo(), appendMoveTo(), libetonyek::approxEqual(), clear(), KEYPath(), operator*=(), swap(), and toWPG().

The documentation for this class was generated from the following files:

- KEYPath.h
- KEYPath.cpp